org.apache.hadoop.mapreduce.v2.util

## Class MRProtoUtils

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.util.MRProtoUtils

-     public class MRProtoUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MRProtoUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobState` | `convertFromProtoFormat(MRProtos.JobStateProto e)`
    `static Phase` | `convertFromProtoFormat(MRProtos.PhaseProto e)`
    `static TaskAttemptCompletionEventStatus` | `convertFromProtoFormat(MRProtos.TaskAttemptCompletionEventStatusProto e)`
    `static TaskAttemptState` | `convertFromProtoFormat(MRProtos.TaskAttemptStateProto e)`
    `static TaskState` | `convertFromProtoFormat(MRProtos.TaskStateProto e)`
    `static TaskType` | `convertFromProtoFormat(MRProtos.TaskTypeProto e)`
    `static MRProtos.JobStateProto` | `convertToProtoFormat(JobState e)`
    `static MRProtos.PhaseProto` | `convertToProtoFormat(Phase e)`
    `static MRProtos.TaskAttemptCompletionEventStatusProto` | `convertToProtoFormat(TaskAttemptCompletionEventStatus e)`
    `static MRProtos.TaskAttemptStateProto` | `convertToProtoFormat(TaskAttemptState e)`
    `static MRProtos.TaskStateProto` | `convertToProtoFormat(TaskState e)`
    `static MRProtos.TaskTypeProto` | `convertToProtoFormat(TaskType e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MRProtoUtils

          public MRProtoUtils()

  - ### Method Detail

    - #### convertToProtoFormat

          public static MRProtos.JobStateProto convertToProtoFormat(JobState e)

    - #### convertFromProtoFormat

          public static JobState convertFromProtoFormat(MRProtos.JobStateProto e)

    - #### convertToProtoFormat

          public static MRProtos.PhaseProto convertToProtoFormat(Phase e)

    - #### convertFromProtoFormat

          public static Phase convertFromProtoFormat(MRProtos.PhaseProto e)

    - #### convertToProtoFormat

          public static MRProtos.TaskAttemptCompletionEventStatusProto convertToProtoFormat(TaskAttemptCompletionEventStatus e)

    - #### convertFromProtoFormat

          public static TaskAttemptCompletionEventStatus convertFromProtoFormat(MRProtos.TaskAttemptCompletionEventStatusProto e)

    - #### convertToProtoFormat

          public static MRProtos.TaskAttemptStateProto convertToProtoFormat(TaskAttemptState e)

    - #### convertFromProtoFormat

          public static TaskAttemptState convertFromProtoFormat(MRProtos.TaskAttemptStateProto e)

    - #### convertToProtoFormat

          public static MRProtos.TaskStateProto convertToProtoFormat(TaskState e)

    - #### convertFromProtoFormat

          public static TaskState convertFromProtoFormat(MRProtos.TaskStateProto e)

    - #### convertToProtoFormat

          public static MRProtos.TaskTypeProto convertToProtoFormat(TaskType e)

    - #### convertFromProtoFormat

          public static TaskType convertFromProtoFormat(MRProtos.TaskTypeProto e)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.